Method: advertisers.inventorySources.get

Gets an inventory source deal.

HTTP request

GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/inventorySources/{inventorySourceId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
inventorySourceId

string (int64 format)

Required. The ID of the inventory source deal to fetch.

Required. Identifies the DV360 entity that owns the deal. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
advertiserId

string (int64 format)

The ID of the DV360 advertiser.

End of mutually exclusive fields.

Query parameters

Parameters
Required. Identifies the DV360 entity that owns the deal. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the DV360 partner.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of InventorySource.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.